SDL_memset(3)

NAME
SDL_memset - Initialize all bytes of buffer of memory to a specific value.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

void * SDL_memset(void *dst, int c, size_t len);

DESCRIPTION
This function will set len bytes, pointed to by dst, to the value specified in c.

Despite c being an int instead of a char, this only operates on bytes; c must be a value between 0 and 255, inclusive.

FUNCTION PARAMETERS

dst the destination memory region. Must not be NULL.

c   the byte value to set.

len the length, in bytes, to set in dst.

RETURN VALUE
Returns dst.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.